Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class BoundedRangeStatisticImpl

    java.lang.Object
      org.codehaus.activemq.management.StatisticImpl
          org.codehaus.activemq.management.RangeStatisticImpl
              org.codehaus.activemq.management.BoundedRangeStatisticImpl

All Implemented Interfaces:
  BoundaryStatistic, BoundedRangeStatistic, RangeStatistic, Resettable, Statistic

public class BoundedRangeStatisticImpl
extends RangeStatisticImpl
implements BoundedRangeStatistic

A bounded range statistic implementation

Version:
  $Revision: 1.1 $

Constructor Summary
`BoundedRangeStatisticImpl(String name, String unit, String description, long lowerBound, long upperBound)`

Method Summary
`protected void` | `appendFieldDescription(StringBuffer buffer)`
`long` | `getLowerBound()`
`long` | `getUpperBound()`

Methods inherited from class org.codehaus.activemq.management.RangeStatisticImpl
`getCurrent, getHighWaterMark, getLowWaterMark, reset, setCurrent`

Methods inherited from class org.codehaus.activemq.management.StatisticImpl
`getDescription, getLastSampleTime, getName, getStartTime, getUnit, toString, updateSampleTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Methods inherited from interface javax.management.j2ee.statistics.RangeStatistic
`getCurrent, getHighWaterMark, getLowWaterMark`

Constructor Detail

### BoundedRangeStatisticImpl

    public BoundedRangeStatisticImpl(String name,
                                     String unit,
                                     String description,
                                     long lowerBound,
                                     long upperBound)

Method Detail

### getLowerBound

    public long getLowerBound()

  Specified by:
    `getLowerBound` in interface `BoundaryStatistic`

### getUpperBound

    public long getUpperBound()

  Specified by:
    `getUpperBound` in interface `BoundaryStatistic`

### appendFieldDescription

    protected void appendFieldDescription(StringBuffer buffer)

  Overrides:
    `appendFieldDescription` in class `RangeStatisticImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.